global function PingOverlay_Settings_Init

void function PingOverlay_Settings_Init()
{
    #if UI
        AddModTitle("Ping Overlay")
        AddModCategory("Main")
        AddConVarSetting("pingOverlay_size", "Font Size", "int")
        AddConVarSetting("pingOverlay_positionX", "Position X", "float")
        AddConVarSetting("pingOverlay_positionY", "Position Y", "float")
        AddConVarSetting("pingOverlay_refreshTime", "Refresh Time (in sec.)", "float")
        AddModCategory("Color")
        AddConVarSetting("pingOverlay_alpha", "Opacity", "float")
        AddConVarSettingEnum
        (
            "pingOverlay_dynamic",
            "Dynamic Color (disables static color)",
            ["Disabled", "Enabled"]
        )
        AddConVarSetting("pingOverlay_colorChannelRed", "Static Color Channel Red", "float")
        AddConVarSetting("pingOverlay_colorChannelGreen", "Static Color Channel Green", "float")
        AddConVarSetting("pingOverlay_colorChannelBlue", "Static Color Channel Blue", "float")
    #endif
}
